extends template.pug

block stylesheets
    link(rel="stylesheet", href="/static/stylesheets/dashboard.css")

block content             
    .container
        div.mt-4
            .form-group
                label(for="store") Magasin
                select(class="form-control" id="store" name="store")
                    each value in shops
                        option(value=value.id) #{value.nom} - #{value.ville}
            .form-group
                label(for="store") Rayon
                select(class="form-control" id="section" name="section")
                    option(value="all" selected="selected") Tous les rayons
                    each value in sections
                        option(value=value.id) #{value.nom}
            if admin
                a(class="btn btn-primary" href="/item/createItem") Ajouter un article
        .table-wrapper
            table(class="table")
                thead
                    tr
                        th(scope="col") Référence
                        th(scope="col") Produit
                        th(scope="col") Prix
                        th(scope="col") Quantité
                        if admin
                            th(scope="col")
                tbody
                        each value in articles
                            tr(class="shop_"+ value.id_magasin + " section_" + value.id_rayon)
                                th #{value.reference}
                                th #{value.nom}
                                th #{value.Prix}€
                                th.numberCol #{value.Qte}
                                if admin
                                    th
                                        - url = "/item/edit/" + value.reference + "/?name=" + value.nom + "&price=" + value.Prix + "&quantity=" + value.Qte + "&shop=" + value.id_magasin + "&section=" + value.id_rayon
                                        a(class="btn btn-block btn-success" href= url) Editer

block scripts
    script(src="/static/javascripts/dashboard.js")

